uux(1)

NAZWA
uux - Zdalne wywołanie polecenia poprzez UUCP

SKŁADNIA
uux [opcje] polecenie

OPIS
uux jest używane do wykonania zadanego polecenia na zdalnym systemie lub do wykonania polecenia na systemie lokalnym z użyciem plików ze zdalnych systemów. Podane polecenie nie jest wywoływane natychmiast; żądanie jest kolejkowane do czasu, gdy demon uucico(8) nie zadzwoni do odpowiedniego systemu i jej nie wykona. Demon jest uruchomiany automatycznie, chyba że zostanie podana opcja -r lub --nouucico.

Właściwe wykonanie polecenia jest dokonywane przez demona uuxqt(8).

Argumenty plikowe mogą być zebrane z systemów zdalnych, a także ze standardowego wejścia. Standardowe wyjście może być przekierowane do pliku na zdalnym systemie.

Nazwa polecenia może być poprzedzona nazwą systemu zakończoną wykrzyknikiem, jeśli ma ono być wykonane na zdalnym systemie. Pusta nazwa systemu jest uważana za nazwę systemu lokalnego.

Argumenty zawierające wykrzyknik są uważane za nazwy plików. Przed wykrzyknikiem znajduje się nazwa systemu, na którym leży dany plik, a za wykrzyknikiem - ścieżka do tego pliku. Pusta nazwa systemu oznacza system lokalny; taki zapis musi być użyty przy transferowaniu pliku lokalnego do polecenia wywoływanego na zdalnym systemie. Jeśli ścieżka nie jest ścieżką bezwzględną, zostanie dołączona do bieżącego katalogu roboczego systemu lokalnego; rezultat nie musi być znaczący dla zdalnego systemu. Ścieżka może zaczynać się od ~/ - wówczas jest względna w stosunku do publicznego katalogu UUCP (zwykle /usr/spool/uucppublic lub /var/spool/uucppublic) na odpowiednim systemie. Ścieżka może się zaczynać od ~nazwa/, wówczas jest względna w stosunku do katalogu domowego użytkownika o podanej nazwie na danym systemie.

Standardowe wyjście i wejście można przekierowywać jak zwykle. Nazwy plików z nimi kojarzonych mogą zawierać wykrzykniki, wskazujące system. Proszę zauważyć, że znaki przekierowania podczas przekazywania do uux muszą być cytowane i nie powinno się dopuszczać do interpretowania ich przez powłokę. Przekierowanie dopisujące (>>) nie działa.

Wszystkie podane pliki są przed wywołaniem polecenia zbierane do pojedynczego katalogu. Znaczy to, że każdy plik musi mieć inną nazwę. Na przykład
uux 'sys1!diff sys2!~user1/foo sys3!~user2/foo >!foo.diff'
nie powiedzie się, ponieważ obydwa pliki zostaną skopiowane na sys1 i zapisane pod tą samą nazwą foo.

Dla zapobieżenia interpretacji wykrzykników można cytować argumenty za pomocą nawiasów. Przydaje się to podczas wywoływania polecenia uucp na zdalnym systemie.

Żądanie wywołania pustego polecenia (np. uux sys!) nie stworzy pliku poll'ującego na dany system.

Kodem wyjścia programu uux jest jeden z kodów wymienionych w pliku nagłówkowym sysexits.h. W szczególności EX_OK (0) oznacza powodzenie, a EX_TEMPFAIL (75) wskazuje na błąd tymczasowy.

OPCJE
uux przyjmuje następujące opcje:

-, -p, --stdin
    Odczytuje standardowe wejście i używa go jako standardowego wejścia dla wywoływanego polecenia.

-c, --nocopy
    Nie kopiuje plików lokalnych do katalogu kolejkowego. Tak jest domyślnie. Jeśli zostaną one usunięte przed przetworzeniem przez demon uucico(8), kopiowanie nie powiedzie się. Pliki muszą być odczytywalne przez demona uucico(8), a także przez użytkownika wywołującego uux.

-C, --copy
    Kopiuje pliki lokalne do katalogu kolejkowego.

-l, --link
    Tworzy dowiązania do plików lokalnych w katalogu kolejkowym. Jeśli nie można utworzyć dowiązania do pliku, ponieważ leży on na innym urządzeniu, zostanie skopiowany, chyba że podano jedną z opcji -c lub --nocopy (innymi słowy, użycie opcji --link przełącza domyślny tryb z --nocopy na --copy). Jeśli pliki zostaną zmienione przed przetworzeniem przez demona uucico(8), użyte zostaną wersje zmienione. Pliki muszą być odczytywalne przez demona uucico(8) oraz przez użytkownika wywołującego uux.

-g poziom, --grade poziom
    Ustawia poziom polecenia transferu plików. Zadania wyższego stopnia są wykonywane jako pierwsze. Poziomy przyjmują wartości 0 ... 9 A ... Z a ... z od najwyższego do najniższego.

-n, --notification=no
    Nie wysyła e-maili o stanie zadania, nawet jeśli się nie powiedzie.

-z, --notification=error
    Wysyła informacje o błędach w zadaniu. Dla wielu demonów uuxqt, łącznie z Taylor UUCP uuxqt, jest to akcja domyślna; dla nich opcja --notification=error nie daje żadnego rezultatu. Jednak niektóre demony uuxqt wysyłają pocztę, jeśli zadanie się powiedzie, chyba że użyje się opcji --notification=error, a parę innych demonów uuxqt w ogóle nie będzie wysyłać e-maili, jeśli zdanie się powiedzie, o ile nie będzie ustawiona opcja --notification=error.

-r, --nouucico
    Nie uruchamia demona uucico(8) natychmiast; zamiast tego po prostu kolejkuje żądanie do dalszego przetworzenia.

-j, --jobid
    Wypisuje na standardowym wyjściu identyfikatory zadań. Identyfikatory są generowane dla każdej operacji kopiowania plików, wymaganej do dokonania operacji. Kopie te mogą być unieważniane przez przekazanie identyfikatorowi zadania opcji --kill programu uustat(1), która uniemożliwi dokonanie wywołania.

-a adres, --requestor adres
    Zgłasza stan zadania na podany adres e-mail.

-x typ, --debug typ
    Włącza dany rodzaj diagnostyki. Rozpoznawane są następujące: abnormal, chat, handshake, uucp-proto, proto, port, config, spooldir, execute, incoming, outgoing. Dla uux znaczenie mają tylko abnormal, config, spooldir i execute.

    Po podzieleniu przecinkami, można podać wiele rodzajów, a opcja --debug może pojawić się wiele razy. Można również podać liczbę, która włączy kolejne rodzaje powyższej listy; np, --debug 2 jest równoważne --debug abnormal,chat.

-I file, --config pliki
    Wskazuje plik konfiguracyjny, z którego ma korzystać program. Opcja ta może być niedostępna, zależnie od tego, jak skompilowano uux.

-v, --version
    Pokazuje informację o wersji programu i kończy działanie.

--help
    Wyświetla komunikat pomocy i wychodzi.

PRZYKŁADY
uux -z - sys1!rmail user1
Wywołuje polecenie "rmail user1" na systemie sys1, podając za standardowe wejście to, co podano uux jako standardowe wejście. Jeśli pojawi się błąd, wysyła wiadomość za pomocą klienta mail(1).

uux 'diff -c sys1!~user1/file1 sys2!~user2/file2 >!file.diff'
Ściąga dwa nazwane pliki z systemu sys1 i systemu sys2 i wywołuje diff(1), a następnie wkłada wynik do bieżącego katalogu. Bieżący katalog musi być dostępny do zapisu dla demona uuxqt(8).

uux 'sys1!uucp ~user1/file1 (sys2!~user2/file2)'
Wywołuje na systemie sys1 uucp i kopiuje plik file1 (z systemu sys1) na sys2. Ten przykład pokazuje zastosowanie nawiasów do cytowania.

OGRANICZENIA
Zdalny system może nie pozwalać na wywoływanie niektórych poleceń. Wiele zdalnych systemów zezwala tylko na wywoływanie rmail i rnews.

Niektóre z opcji są zależne od zdolności demona uuxqt(8) na zdalnym systemie.

ZOBACZ TAKŻE
mail(1), uustat(1), uucp(1), uucico(8), uuxqt(8)

BŁĘDY
Nie można odwoływać się do plików między wieloma systemami.

--jobid tworzy zbyt wiele identyfikatorów i nie ma możliwości anulowania lokalnego wywołania wymagającego zdalnych plików.

AUTOR
Ian Lance Taylor (ian@airs.com)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl> i Robert Luberda <robert@debian.org>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.